import React from 'react';
import PropTypes from 'prop-types';

export const IconServices = ({ toggleMenu, id }) => (
  <svg
    id={id}
    onClick={toggleMenu}
    className="services-menu-icon d-block"
    xmlns="http://www.w3.org/2000/svg"
    width="16"
    height="16"
    viewBox="0 0 16 16"
  >
    <g fill="#F9F9F9" fillRule="evenodd">
      <path d="M0 0h4v4H0zM0 6h4v4H0zM0 12h4v4H0zM6 0h4v4H6zM6 6h4v4H6zM6 12h4v4H6zM12 0h4v4h-4zM12 6h4v4h-4zM12 12h4v4h-4z" />
    </g>
  </svg>
);

IconServices.propTypes = {
  toggleMenu: PropTypes.func.isRequired,
  id: PropTypes.string.isRequired,
};
